org.apache.uima.jcas.cas

## Class BooleanArray

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImplC
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.BooleanArray

- All Implemented Interfaces:
    Cloneable, Iterable<Boolean>, BooleanArrayFS, CommonArrayFS<Boolean>, FeatureStructure, BooleanArrayFSImpl, FeatureStructureImpl, CommonPrimitiveArray<Boolean>

      public final class BooleanArray
      extends TOP
      implements CommonPrimitiveArray<Boolean>, BooleanArrayFSImpl, Iterable<Boolean>

  JCas class model for BooleanArray

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `FeatureStructureImplC.PrintReferences`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `_TypeName`
    `static int` | `type`
    `static int` | `typeIndexID` Each cover class when loaded sets an index.

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `_singleton`

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanArray(JCas jcas, int length)` Make a new BooleanArray of given size
    `BooleanArray(TypeImpl t, CASImpl c, int l)` Called by generator

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean[]` | `_getTheArray()`
    `void` | `copyFromArray(boolean[] src, int srcPos, int destPos, int length)` Copy the contents of an external array into this array.
    `void` | `copyFromArray(String[] src, int srcPos, int destPos, int length)` Copy the contents of an external string array into this array.
    `void` | `copyToArray(int srcPos, boolean[] dest, int destPos, int length)` Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
    `void` | `copyToArray(int srcPos, String[] dest, int destPos, int length)` Copy the contents of the array to an external string array.
    `void` | `copyValuesFrom(CommonArrayFS<Boolean> v)` Copy values from another array of the same kind
    `static BooleanArray` | `create(JCas jcas, boolean[] a)`
    `boolean` | `get(int i)` Get the i-th string from the array.
    `int` | `getTypeIndexID()` used to obtain reference to the _Type instance
    `Iterator<Boolean>` | `iterator()`
    `void` | `set(int i, boolean v)` Set the i-th value.
    `void` | `setArrayValueFromString(int i, String v)` Internal Use Only.
    `int` | `size()` return the size of the array
    `boolean[]` | `toArray()` Create a Java array that is a copy of the internal CAS array.

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `_createJCasHashMapReserve, _createSearchKey`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, toString, wrapGetIntCatchException`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.cas.CommonArrayFS

      `getValuesAsCommaSeparatedString, isEmpty, toStringArray`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### _TypeName

          public static final String _TypeName

      See Also:
        Constant Field Values

    - #### typeIndexID

          public static final int typeIndexID

      Each cover class when loaded sets an index. Used in the JCas typeArray to go from the cover class or class instance to the corresponding instance of the _Type class

    - #### type

          public static final int type

  - ### Constructor Detail

    - #### BooleanArray

          public BooleanArray(JCas jcas,
                              int length)

      Make a new BooleanArray of given size
      Parameters:
        `jcas` - JCas reference
        `length` - of array

    - #### BooleanArray

          public BooleanArray(TypeImpl t,
                              CASImpl c,
                              int l)

      Called by generator
      Parameters:
        `c` - -
        `t` - -
        `l` - -

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      used to obtain reference to the _Type instance
      Overrides:
        `getTypeIndexID` in class `TOP`
      Returns:
        the type array index

    - #### get

          public boolean get(int i)

      Description copied from interface: `BooleanArrayFS`
      Get the i-th string from the array.
      Specified by:
        `get` in interface `BooleanArrayFS`
      Parameters:
        `i` - selects the string
      Returns:
        The i-th element.
      See Also:
        `BooleanArrayFS.get(int)`

    - #### set

          public void set(int i,
                          boolean v)

      Description copied from interface: `BooleanArrayFS`
      Set the i-th value.
      Specified by:
        `set` in interface `BooleanArrayFS`
      Parameters:
        `i` - The index.
        `v` - The value.
      See Also:
        `BooleanArrayFS.set(int , boolean)`

    - #### copyFromArray

          public void copyFromArray(boolean[] src,
                                    int srcPos,
                                    int destPos,
                                    int length)

      Description copied from interface: `BooleanArrayFS`
      Copy the contents of an external array into this array.
      Specified by:
        `copyFromArray` in interface `BooleanArrayFS`
      Parameters:
        `src` - The source array.
        `srcPos` - Where to start copying in the source array.
        `destPos` - Where to start copying to in the destination array.
        `length` - The number of elements to copy.
      See Also:
        `BooleanArrayFS.copyFromArray(boolean[], int, int, int)`

    - #### copyToArray

          public void copyToArray(int srcPos,
                                  boolean[] dest,
                                  int destPos,
                                  int length)

      Description copied from interface: `BooleanArrayFS`
      Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
      Specified by:
        `copyToArray` in interface `BooleanArrayFS`
      Parameters:
        `srcPos` - The index of the first element to copy.
        `dest` - The array to copy to.
        `destPos` - Where to start copying into `dest`.
        `length` - The number of elements to copy.
      See Also:
        `BooleanArrayFS.copyToArray(int, boolean[], int, int)`

    - #### toArray

          public boolean[] toArray()

      Description copied from interface: `BooleanArrayFS`
      Create a Java array that is a copy of the internal CAS array.
      Specified by:
        `toArray` in interface `BooleanArrayFS`
      Returns:
        An array copy.
      See Also:
        `BooleanArrayFS.toArray()`

    - #### size

          public int size()

      return the size of the array
      Specified by:
        `size` in interface `CommonArrayFS<Boolean>`
      Returns:
        The size of the array.

    - #### copyToArray

          public void copyToArray(int srcPos,
                                  String[] dest,
                                  int destPos,
                                  int length)

      Description copied from interface: `CommonArrayFS`
      Copy the contents of the array to an external string array.
      Specified by:
        `copyToArray` in interface `CommonArrayFS<Boolean>`
      Parameters:
        `srcPos` - The index of the first element to copy.
        `dest` - The array to copy to.
        `destPos` - Where to start copying into `dest`.
        `length` - The number of elements to copy.
      See Also:
        `CommonArrayFS.copyToArray(int, String[], int, int)`

    - #### copyFromArray

          public void copyFromArray(String[] src,
                                    int srcPos,
                                    int destPos,
                                    int length)

      Description copied from interface: `CommonArrayFS`
      Copy the contents of an external string array into this array. The strings are parsed and converted to floats.
      Specified by:
        `copyFromArray` in interface `CommonArrayFS<Boolean>`
      Parameters:
        `src` - The source array.
        `srcPos` - Where to start copying in the source array.
        `destPos` - Where to start copying to in the destination array.
        `length` - The number of elements to copy.
      See Also:
        `CommonArrayFS.copyFromArray(String[], int, int, int)`

    - #### _getTheArray

          public boolean[] _getTheArray()

    - #### copyValuesFrom

          public void copyValuesFrom(CommonArrayFS<Boolean> v)

      Description copied from interface: `CommonArrayFS`
      Copy values from another array of the same kind
      Specified by:
        `copyValuesFrom` in interface `CommonArrayFS<Boolean>`
      Parameters:
        `v` - the other array

    - #### setArrayValueFromString

          public void setArrayValueFromString(int i,
                                              String v)

      Description copied from interface: `CommonPrimitiveArray`
      Internal Use Only. Set an array value from a string representation NOTE: does **not** log the change for delta cas; this should only be used by internal deserializers
      Specified by:
        `setArrayValueFromString` in interface `CommonPrimitiveArray<Boolean>`
      Parameters:
        `i` - the index
        `v` - the value to set at the above index

    - #### iterator

          public Iterator<Boolean> iterator()

      Specified by:
        `iterator` in interface `Iterable<Boolean>`

    - #### create

          public static BooleanArray create(JCas jcas,
                                            boolean[] a)

      Parameters:
        `jcas` - Which CAS to create the array in
        `a` - the source for the array's initial values
      Returns:
        a newly created and populated array

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.